Page MenuHomePhabricator

Search on Wikimedia Commons doesn't find 'disableAJAXCategories' in MediaWiki:Gadget-HotCat.js
Closed, ResolvedPublic

Event Timeline

matmarex created this task.Jan 13 2015, 7:51 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added subscribers: matmarex, Krinkle.
Cpiral added a subscriber: Cpiral.Jan 12 2016, 11:01 PM

Insource regex failed to find /disable/i /AJAX/i, or /ajaxcategories/i, but not other items on that page.

Searching itself and its 79 subpages of language versions and subroutines.

<Search term> prefix:MediaWiki:Gadget-Hotcat.js

Target textSearch term (case preserved)Result
disableAJAXCategoriesdisableAJAXCategoriesfail
disableAJAXCategoriesdisableajaxcategoriesfail
disableAJAXCategoriesdisableAjaxCategoriesfail
disableAJAXCategories"disable AjaxCategories"fail
disableAJAXCategoriesdisable_AjaxCategoriesfail
disableAJAXCategoriesdisable ajax categoriesfail/OK*
disableAJAXCategoriesinsource:/disable/fail
any string of 4 capsinsource:/AJAX/fail
disableAJAXCategoriesinsource:/Categories/OK
AjaxCategoriesAjaxCategoriesfail
startHotCatstartHotCatOK
wgCanonicalSpecialPageNamewgCanonicalSpecialPageNameOK
any string of 4 capsinsource:/SIGE/OK
UploadForm.previous_hotcat_stateUploadFormPrevious_hotcat_stateOK
UploadForm.previous_hotcat_stateUploadFormPreviousHotcatStateOK
UploadForm.previous_hotcat_stateUploadFormPreviousHotCatStatefail (the C)
function (json) { setPage (json); setup (createCommitForm)"function (json) { setPage (json); setup (createCommitForm)"OK
function (json) { setPage (json); setup (createCommitForm)functionJsonSetPageJsonSetupCreateCommitFormOK

Note that

  • the described term disableAJAXCategories is not indexed in any detectable word or phrase form.
  • word form search: disable ajax categories the snippet shows it matching elsewhere, not at the target.
  • the term AJAXCategories exists elsewhere as AjaxCategories, but was not found
  • insource regex failed to find /disable/i /AJAX/i, or /ajaxcategories/i, but not other items on that page
Restricted Application added a project: Discovery. · View Herald TranscriptJan 12 2016, 11:01 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter. · View Herald Transcript
Cpiral added a comment.EditedJan 14 2016, 7:27 AM

On WP insource doesn't search .css or .js pages.

  1. user: intitle:css 24,916
  2. [user: intitle:css update](//en.wikipedia.org/wiki/Special:Search/~user:intitle:css update) 2284
  3. [user: intitle:css update insource:update](//en.wikipedia.org/wiki/Special:Search/~user:intitle:css update insource:update) 4 pages only

As if insource only lists .css and .js pages where its search term is found inside a comment or nowiki tag on the page.

EBernhardson moved this task from Needs triage to Search on the Discovery board.Feb 11 2016, 11:24 PM
Deskana closed this task as Resolved.Feb 25 2016, 11:11 PM
Deskana added a subscriber: Deskana.

I can no longer reproduce this issue; if I run the linked query, the page is the third result. This was probably fixed when T88247 was fixed.